VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Variables
Steinberg::Vst::Attributes Namespace Reference

Attributes used to defined a Layer in a VST XML Representation. More...

## Variables
const CString | kStyle = "style"
| string attribute : See AttributesStyle for available string value
const CString | kLEDStyle = "ledStyle"
| string attribute : See AttributesStyle for available string value
const CString | kSwitchStyle = "switchStyle"
| string attribute : See AttributesStyle for available string value
const CString | kKnobTurnsPerFullRange = "turnsPerFullRange"
| float attribute
const CString | kFunction = "function"
| string attribute : See AttributesFunction for available string value
const CString | kFlags = "flags"
| string attribute : See AttributesFlags for available string value

## Detailed Description

Attributes used to defined a Layer in a VST XML Representation.

## Variable Documentation

## ◆ kStyle

const CString kStyle = "style"

string attribute : See AttributesStyle for available string value

## ◆ kLEDStyle

const CString kLEDStyle = "ledStyle"

string attribute : See AttributesStyle for available string value

## ◆ kSwitchStyle

const CString kSwitchStyle = "switchStyle"

string attribute : See AttributesStyle for available string value

## ◆ kKnobTurnsPerFullRange

const CString kKnobTurnsPerFullRange = "turnsPerFullRange"

float attribute

## ◆ kFunction

const CString kFunction = "function"

string attribute : See AttributesFunction for available string value

## ◆ kFlags

const CString kFlags = "flags"

string attribute : See AttributesFlags for available string value

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.